Moving to jdk7 or jdk8

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

Moving to jdk7 or jdk8

Gabor Szadovszky-2
Hi All,

Are we planning to move to a newer jdk in the next major release 1.9.0?
To be more precise:
- Upgrading build jdk from 7 to 8?
- Upgrading source/target version from 1.6 to 1.7 or 1.8?

Thanks a lot,
Gabor
Reply | Threaded
Open this post in threaded view
|

Re: Moving to jdk7 or jdk8

suraj acharya
Looking through jira. I dont see a plan as such. But I am all in for the
change.
However, the changes will be backward incompatible and will need to be done
on a major release like 1.9 as you mention.
Also, the hadoop-client[1] version is 2.7.3 and if we are to bump that up
to 3.X we will need to move the java to 1.8 since that is a requirement for
hadoop3[2].

IMO, we should move the compile to 1.7 for the releases going forward for
1.8 and 1.9.0 as well as look at bumping the hadoop-client to 3 so that we
are ready for the upstream hadoop-3 release.

[1]https://github.com/apache/avro/blob/master/lang/java/pom.xml#L46
[2]http://hadoop.apache.org/docs/r3.0.0-alpha1/

S

-Suraj Acharya

On Wed, Jun 14, 2017 at 7:12 AM, Gabor Szadovszky <[hidden email]> wrote:

> Hi All,
>
> Are we planning to move to a newer jdk in the next major release 1.9.0?
> To be more precise:
> - Upgrading build jdk from 7 to 8?
> - Upgrading source/target version from 1.6 to 1.7 or 1.8?
>
> Thanks a lot,
> Gabor
>
Reply | Threaded
Open this post in threaded view
|

Re: Moving to jdk7 or jdk8

Ryan Blue-3
+1 for moving. I'm in favor of moving to Java 8 since Java 7 has been end
of life for 2 years.

https://www.infoq.com/news/2015/05/Oracle-Ends-Java-7Public-Updates

rb

On Wed, Jun 14, 2017 at 7:56 AM, suraj acharya <[hidden email]> wrote:

> Looking through jira. I dont see a plan as such. But I am all in for the
> change.
> However, the changes will be backward incompatible and will need to be done
> on a major release like 1.9 as you mention.
> Also, the hadoop-client[1] version is 2.7.3 and if we are to bump that up
> to 3.X we will need to move the java to 1.8 since that is a requirement for
> hadoop3[2].
>
> IMO, we should move the compile to 1.7 for the releases going forward for
> 1.8 and 1.9.0 as well as look at bumping the hadoop-client to 3 so that we
> are ready for the upstream hadoop-3 release.
>
> [1]https://github.com/apache/avro/blob/master/lang/java/pom.xml#L46
> [2]http://hadoop.apache.org/docs/r3.0.0-alpha1/
>
> S
>
> -Suraj Acharya
>
> On Wed, Jun 14, 2017 at 7:12 AM, Gabor Szadovszky <[hidden email]>
> wrote:
>
> > Hi All,
> >
> > Are we planning to move to a newer jdk in the next major release 1.9.0?
> > To be more precise:
> > - Upgrading build jdk from 7 to 8?
> > - Upgrading source/target version from 1.6 to 1.7 or 1.8?
> >
> > Thanks a lot,
> > Gabor
> >
>



--
Ryan Blue
Software Engineer
Netflix
Reply | Threaded
Open this post in threaded view
|

Re: Moving to jdk7 or jdk8

Sean Busbey
if we're talking about for the 1.9 release line, then I'm +1 on
jumping to jdk8. I would prefer not to change the supported jdk
version(s) for existing minor release lines.

I don't think we should change the Hadoop version.

On Wed, Jun 14, 2017 at 11:23 AM, Ryan Blue <[hidden email]> wrote:

> +1 for moving. I'm in favor of moving to Java 8 since Java 7 has been end
> of life for 2 years.
>
> https://www.infoq.com/news/2015/05/Oracle-Ends-Java-7Public-Updates
>
> rb
>
> On Wed, Jun 14, 2017 at 7:56 AM, suraj acharya <[hidden email]> wrote:
>
>> Looking through jira. I dont see a plan as such. But I am all in for the
>> change.
>> However, the changes will be backward incompatible and will need to be done
>> on a major release like 1.9 as you mention.
>> Also, the hadoop-client[1] version is 2.7.3 and if we are to bump that up
>> to 3.X we will need to move the java to 1.8 since that is a requirement for
>> hadoop3[2].
>>
>> IMO, we should move the compile to 1.7 for the releases going forward for
>> 1.8 and 1.9.0 as well as look at bumping the hadoop-client to 3 so that we
>> are ready for the upstream hadoop-3 release.
>>
>> [1]https://github.com/apache/avro/blob/master/lang/java/pom.xml#L46
>> [2]http://hadoop.apache.org/docs/r3.0.0-alpha1/
>>
>> S
>>
>> -Suraj Acharya
>>
>> On Wed, Jun 14, 2017 at 7:12 AM, Gabor Szadovszky <[hidden email]>
>> wrote:
>>
>> > Hi All,
>> >
>> > Are we planning to move to a newer jdk in the next major release 1.9.0?
>> > To be more precise:
>> > - Upgrading build jdk from 7 to 8?
>> > - Upgrading source/target version from 1.6 to 1.7 or 1.8?
>> >
>> > Thanks a lot,
>> > Gabor
>> >
>>
>
>
>
> --
> Ryan Blue
> Software Engineer
> Netflix



--
busbey
Reply | Threaded
Open this post in threaded view
|

Re: Moving to jdk7 or jdk8

Ryan Blue-3
Yeah, lets stick with 2.7.x instead of 3.x for now.

I was talking about the 1.9 release line for updating the JDK version. I
agree we shouldn't move 1.8 or 1.7.

On Thu, Jun 15, 2017 at 10:53 AM, Sean Busbey <[hidden email]> wrote:

> if we're talking about for the 1.9 release line, then I'm +1 on
> jumping to jdk8. I would prefer not to change the supported jdk
> version(s) for existing minor release lines.
>
> I don't think we should change the Hadoop version.
>
> On Wed, Jun 14, 2017 at 11:23 AM, Ryan Blue <[hidden email]>
> wrote:
> > +1 for moving. I'm in favor of moving to Java 8 since Java 7 has been end
> > of life for 2 years.
> >
> > https://www.infoq.com/news/2015/05/Oracle-Ends-Java-7Public-Updates
> >
> > rb
> >
> > On Wed, Jun 14, 2017 at 7:56 AM, suraj acharya <[hidden email]>
> wrote:
> >
> >> Looking through jira. I dont see a plan as such. But I am all in for the
> >> change.
> >> However, the changes will be backward incompatible and will need to be
> done
> >> on a major release like 1.9 as you mention.
> >> Also, the hadoop-client[1] version is 2.7.3 and if we are to bump that
> up
> >> to 3.X we will need to move the java to 1.8 since that is a requirement
> for
> >> hadoop3[2].
> >>
> >> IMO, we should move the compile to 1.7 for the releases going forward
> for
> >> 1.8 and 1.9.0 as well as look at bumping the hadoop-client to 3 so that
> we
> >> are ready for the upstream hadoop-3 release.
> >>
> >> [1]https://github.com/apache/avro/blob/master/lang/java/pom.xml#L46
> >> [2]http://hadoop.apache.org/docs/r3.0.0-alpha1/
> >>
> >> S
> >>
> >> -Suraj Acharya
> >>
> >> On Wed, Jun 14, 2017 at 7:12 AM, Gabor Szadovszky <[hidden email]>
> >> wrote:
> >>
> >> > Hi All,
> >> >
> >> > Are we planning to move to a newer jdk in the next major release
> 1.9.0?
> >> > To be more precise:
> >> > - Upgrading build jdk from 7 to 8?
> >> > - Upgrading source/target version from 1.6 to 1.7 or 1.8?
> >> >
> >> > Thanks a lot,
> >> > Gabor
> >> >
> >>
> >
> >
> >
> > --
> > Ryan Blue
> > Software Engineer
> > Netflix
>
>
>
> --
> busbey
>



--
Ryan Blue
Software Engineer
Netflix
Reply | Threaded
Open this post in threaded view
|

Re: Moving to jdk7 or jdk8

Gabor Szadovszky-2
Created the JIRA AVRO-2043 <https://issues.apache.org/jira/browse/AVRO-2043> to
track this. Feel free to add anything I've missed.

On Thu, Jun 15, 2017 at 8:14 PM, Ryan Blue <[hidden email]>
wrote:

> Yeah, lets stick with 2.7.x instead of 3.x for now.
>
> I was talking about the 1.9 release line for updating the JDK version. I
> agree we shouldn't move 1.8 or 1.7.
>
> On Thu, Jun 15, 2017 at 10:53 AM, Sean Busbey <[hidden email]> wrote:
>
> > if we're talking about for the 1.9 release line, then I'm +1 on
> > jumping to jdk8. I would prefer not to change the supported jdk
> > version(s) for existing minor release lines.
> >
> > I don't think we should change the Hadoop version.
> >
> > On Wed, Jun 14, 2017 at 11:23 AM, Ryan Blue <[hidden email]>
> > wrote:
> > > +1 for moving. I'm in favor of moving to Java 8 since Java 7 has been
> end
> > > of life for 2 years.
> > >
> > > https://www.infoq.com/news/2015/05/Oracle-Ends-Java-7Public-Updates
> > >
> > > rb
> > >
> > > On Wed, Jun 14, 2017 at 7:56 AM, suraj acharya <[hidden email]>
> > wrote:
> > >
> > >> Looking through jira. I dont see a plan as such. But I am all in for
> the
> > >> change.
> > >> However, the changes will be backward incompatible and will need to be
> > done
> > >> on a major release like 1.9 as you mention.
> > >> Also, the hadoop-client[1] version is 2.7.3 and if we are to bump that
> > up
> > >> to 3.X we will need to move the java to 1.8 since that is a
> requirement
> > for
> > >> hadoop3[2].
> > >>
> > >> IMO, we should move the compile to 1.7 for the releases going forward
> > for
> > >> 1.8 and 1.9.0 as well as look at bumping the hadoop-client to 3 so
> that
> > we
> > >> are ready for the upstream hadoop-3 release.
> > >>
> > >> [1]https://github.com/apache/avro/blob/master/lang/java/pom.xml#L46
> > >> [2]http://hadoop.apache.org/docs/r3.0.0-alpha1/
> > >>
> > >> S
> > >>
> > >> -Suraj Acharya
> > >>
> > >> On Wed, Jun 14, 2017 at 7:12 AM, Gabor Szadovszky <[hidden email]>
> > >> wrote:
> > >>
> > >> > Hi All,
> > >> >
> > >> > Are we planning to move to a newer jdk in the next major release
> > 1.9.0?
> > >> > To be more precise:
> > >> > - Upgrading build jdk from 7 to 8?
> > >> > - Upgrading source/target version from 1.6 to 1.7 or 1.8?
> > >> >
> > >> > Thanks a lot,
> > >> > Gabor
> > >> >
> > >>
> > >
> > >
> > >
> > > --
> > > Ryan Blue
> > > Software Engineer
> > > Netflix
> >
> >
> >
> > --
> > busbey
> >
>
>
>
> --
> Ryan Blue
> Software Engineer
> Netflix
>
Reply | Threaded
Open this post in threaded view
|

Re: Moving to jdk7 or jdk8

Sean Busbey
Could we start enforcing Maven 3.0.5+ as well? Right now we require
2.2.1+ and Maven 2 hit EOL in May 2014 (its last release was Nov 2009)

On Fri, Jun 16, 2017 at 12:17 AM, Gabor Szadovszky <[hidden email]> wrote:

> Created the JIRA AVRO-2043 <https://issues.apache.org/jira/browse/AVRO-2043> to
> track this. Feel free to add anything I've missed.
>
> On Thu, Jun 15, 2017 at 8:14 PM, Ryan Blue <[hidden email]>
> wrote:
>
>> Yeah, lets stick with 2.7.x instead of 3.x for now.
>>
>> I was talking about the 1.9 release line for updating the JDK version. I
>> agree we shouldn't move 1.8 or 1.7.
>>
>> On Thu, Jun 15, 2017 at 10:53 AM, Sean Busbey <[hidden email]> wrote:
>>
>> > if we're talking about for the 1.9 release line, then I'm +1 on
>> > jumping to jdk8. I would prefer not to change the supported jdk
>> > version(s) for existing minor release lines.
>> >
>> > I don't think we should change the Hadoop version.
>> >
>> > On Wed, Jun 14, 2017 at 11:23 AM, Ryan Blue <[hidden email]>
>> > wrote:
>> > > +1 for moving. I'm in favor of moving to Java 8 since Java 7 has been
>> end
>> > > of life for 2 years.
>> > >
>> > > https://www.infoq.com/news/2015/05/Oracle-Ends-Java-7Public-Updates
>> > >
>> > > rb
>> > >
>> > > On Wed, Jun 14, 2017 at 7:56 AM, suraj acharya <[hidden email]>
>> > wrote:
>> > >
>> > >> Looking through jira. I dont see a plan as such. But I am all in for
>> the
>> > >> change.
>> > >> However, the changes will be backward incompatible and will need to be
>> > done
>> > >> on a major release like 1.9 as you mention.
>> > >> Also, the hadoop-client[1] version is 2.7.3 and if we are to bump that
>> > up
>> > >> to 3.X we will need to move the java to 1.8 since that is a
>> requirement
>> > for
>> > >> hadoop3[2].
>> > >>
>> > >> IMO, we should move the compile to 1.7 for the releases going forward
>> > for
>> > >> 1.8 and 1.9.0 as well as look at bumping the hadoop-client to 3 so
>> that
>> > we
>> > >> are ready for the upstream hadoop-3 release.
>> > >>
>> > >> [1]https://github.com/apache/avro/blob/master/lang/java/pom.xml#L46
>> > >> [2]http://hadoop.apache.org/docs/r3.0.0-alpha1/
>> > >>
>> > >> S
>> > >>
>> > >> -Suraj Acharya
>> > >>
>> > >> On Wed, Jun 14, 2017 at 7:12 AM, Gabor Szadovszky <[hidden email]>
>> > >> wrote:
>> > >>
>> > >> > Hi All,
>> > >> >
>> > >> > Are we planning to move to a newer jdk in the next major release
>> > 1.9.0?
>> > >> > To be more precise:
>> > >> > - Upgrading build jdk from 7 to 8?
>> > >> > - Upgrading source/target version from 1.6 to 1.7 or 1.8?
>> > >> >
>> > >> > Thanks a lot,
>> > >> > Gabor
>> > >> >
>> > >>
>> > >
>> > >
>> > >
>> > > --
>> > > Ryan Blue
>> > > Software Engineer
>> > > Netflix
>> >
>> >
>> >
>> > --
>> > busbey
>> >
>>
>>
>>
>> --
>> Ryan Blue
>> Software Engineer
>> Netflix
>>



--
busbey
Reply | Threaded
Open this post in threaded view
|

Re: Moving to jdk7 or jdk8

Gabor Szadovszky-2
I agree to enforce maven 3 but I would handle it in a separate JIRA.

Meanwhile, anyone interested in reviewing the java8 upgrade? AVRO-2043
<https://issues.apache.org/jira/browse/AVRO-2043>

Thanks,
Gabor

On Fri, Jun 16, 2017 at 7:11 PM, Sean Busbey <[hidden email]> wrote:

> Could we start enforcing Maven 3.0.5+ as well? Right now we require
> 2.2.1+ and Maven 2 hit EOL in May 2014 (its last release was Nov 2009)
>
> On Fri, Jun 16, 2017 at 12:17 AM, Gabor Szadovszky <[hidden email]>
> wrote:
> > Created the JIRA AVRO-2043 <https://issues.apache.org/
> jira/browse/AVRO-2043> to
> > track this. Feel free to add anything I've missed.
> >
> > On Thu, Jun 15, 2017 at 8:14 PM, Ryan Blue <[hidden email]>
> > wrote:
> >
> >> Yeah, lets stick with 2.7.x instead of 3.x for now.
> >>
> >> I was talking about the 1.9 release line for updating the JDK version. I
> >> agree we shouldn't move 1.8 or 1.7.
> >>
> >> On Thu, Jun 15, 2017 at 10:53 AM, Sean Busbey <[hidden email]>
> wrote:
> >>
> >> > if we're talking about for the 1.9 release line, then I'm +1 on
> >> > jumping to jdk8. I would prefer not to change the supported jdk
> >> > version(s) for existing minor release lines.
> >> >
> >> > I don't think we should change the Hadoop version.
> >> >
> >> > On Wed, Jun 14, 2017 at 11:23 AM, Ryan Blue <[hidden email]
> >
> >> > wrote:
> >> > > +1 for moving. I'm in favor of moving to Java 8 since Java 7 has
> been
> >> end
> >> > > of life for 2 years.
> >> > >
> >> > > https://www.infoq.com/news/2015/05/Oracle-Ends-Java-7Public-Updates
> >> > >
> >> > > rb
> >> > >
> >> > > On Wed, Jun 14, 2017 at 7:56 AM, suraj acharya <[hidden email]
> >
> >> > wrote:
> >> > >
> >> > >> Looking through jira. I dont see a plan as such. But I am all in
> for
> >> the
> >> > >> change.
> >> > >> However, the changes will be backward incompatible and will need
> to be
> >> > done
> >> > >> on a major release like 1.9 as you mention.
> >> > >> Also, the hadoop-client[1] version is 2.7.3 and if we are to bump
> that
> >> > up
> >> > >> to 3.X we will need to move the java to 1.8 since that is a
> >> requirement
> >> > for
> >> > >> hadoop3[2].
> >> > >>
> >> > >> IMO, we should move the compile to 1.7 for the releases going
> forward
> >> > for
> >> > >> 1.8 and 1.9.0 as well as look at bumping the hadoop-client to 3 so
> >> that
> >> > we
> >> > >> are ready for the upstream hadoop-3 release.
> >> > >>
> >> > >> [1]https://github.com/apache/avro/blob/master/lang/java/
> pom.xml#L46
> >> > >> [2]http://hadoop.apache.org/docs/r3.0.0-alpha1/
> >> > >>
> >> > >> S
> >> > >>
> >> > >> -Suraj Acharya
> >> > >>
> >> > >> On Wed, Jun 14, 2017 at 7:12 AM, Gabor Szadovszky <
> [hidden email]>
> >> > >> wrote:
> >> > >>
> >> > >> > Hi All,
> >> > >> >
> >> > >> > Are we planning to move to a newer jdk in the next major release
> >> > 1.9.0?
> >> > >> > To be more precise:
> >> > >> > - Upgrading build jdk from 7 to 8?
> >> > >> > - Upgrading source/target version from 1.6 to 1.7 or 1.8?
> >> > >> >
> >> > >> > Thanks a lot,
> >> > >> > Gabor
> >> > >> >
> >> > >>
> >> > >
> >> > >
> >> > >
> >> > > --
> >> > > Ryan Blue
> >> > > Software Engineer
> >> > > Netflix
> >> >
> >> >
> >> >
> >> > --
> >> > busbey
> >> >
> >>
> >>
> >>
> >> --
> >> Ryan Blue
> >> Software Engineer
> >> Netflix
> >>
>
>
>
> --
> busbey
>